<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv=Content-Type content="text/html; charset=utf-8">
<style type="text/css">
*{padding:0;margin:0}
html{overflow:hidden}
body{background-color:#000}
.layout{width:700px;height:410px;background:#000;display:none;position:absolute;left:0;top:0}
.install{display:none;padding:100px 0;text-align:center;position:absolute;left:0;top:0;margin:0 auto;width:700px;height:410px;}
.install p{color:#fff;padding:12px;}
.install p a{color:#FF0000}
</style>
<script type="text/javascript">
var state = true;
var needInstall = function(){
	setTimeout(function(){
		document.getElementById('install').style.display = 'block';
	},500);
	return false;
}
</script>
</head>
<body>
<?php
	$url = trim(urldecode($_GET['url']));
?>
<object classid='clsid:F3D0D36F-23F8-4682-A195-74C92B03D4AF' name='QvodPlayer' width='100%' height='100%' id='QvodPlayer' onError="needInstall()">
	<param name='url' value='<?php echo $url; ?>'>
	<param name='autoplay' value='1'>
	<param name='showcontrol' value='1'>
	<param name="wmode" value="transparent">
</object>
<div class="install" id="install">
	<p>您需要安装QVOD后才能流畅观看高清影视，<a href="http://dl.qvod.com/QvodSetupPlus3.exe" target="_blank">点击安装QVOD</a></p>
	<p>安装QVOD后请刷新当前页面</p>
</div>
<script type="text/javascript">
var obj = document.getElementById('layout');
(function(){
	var A = arguments;
	if(typeof QvodPlayer == 'undefined' || typeof QvodPlayer == 'unknown'){
		return needInstall();
	}
	var pos = QvodPlayer.Duration - QvodPlayer.Currentpos;
	switch(QvodPlayer.PlayState){
		case 2:
		case 5:
		case 10:
				state = false;
		break;

		case 3:
			if(state == false){
				state = true;
			}
		break;
	}
	if(QvodPlayer.Currentpos > 0 && pos < 1){
		parent.flashPlayer.playNext();
	}else{
		setTimeout(function(){
			A.callee();
		},500);
	}
})();
</script>
</body>
</html>